#
# spec file for package vm-install (Version 0.2.9)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           vm-install
Url:            http://developer.novell.com/wiki/index.php/Vm-install
BuildRequires:  python-devel update-desktop-files
# For directory ownership:
BuildRequires:  yast2
License:        GPL v2 or later
Group:          System/Emulators/PC
AutoReqProv:    yes
Version:        0.2.9
Release:        2.1
Summary:        Tool to Define a Virtual Machine and Install Its Operating System
Source0:        %{name}-0.2.9.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       xen-tools python-urlgrabber libxml2-python
%define pysite %(python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()")

%description
vm-install can define a Xen virtual machine, and cause an operating
system to begin installing within that virtual machine.

vm-install can be used in a variety of ways:

* It can be used interactively or non-interactively.

* It can automatically pick reasonable VM defaults for a given type
   of operating system.

* It can perform completely non-interactive installs, driven via XML
   files and/or command line parameters.

* The  supporting  Python  modules  can  be 'import'-ed into other
Python programs, to create VMs programmatically.



Authors:
--------
    Charles Coffing <ccoffing@novell.com>

%prep
%setup -q

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f  $RPM_BUILD_ROOT/%pysite/*.egg-info
%find_lang xen-vm-install
%suse_update_desktop_file %{name} X-SuSE-YaST-Virtualization

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%files -f xen-vm-install.lang
%defattr(-,root,root,-)
%doc COPYING
%{_mandir}/man8/*.8.gz
%{_prefix}/bin/vm-disks
%{_prefix}/bin/vm-install
%{_prefix}/bin/vm-install-jobs
%{_datadir}/vm-install
%pysite/vminstall
%pysite/vmdisks
%dir /var/run/vm-install
%{_datadir}/applications/YaST2/vm-install.desktop

%changelog
* Wed May 21 2008 carnold@novell.com
- Fix broken NetWare install.
* Thu May  8 2008 carnold@novell.com
- bnc#363671 - XEN: problems with i386 hvm
- bnc#380514 - can't install SLED10-SP1.  Reverted back to file
  until problem with tap:aio is resolved.
- Fixed problem looking up xenpae kernel on SLE11.  xenpae was
  renamed to just xen.
* Wed Apr 30 2008 carnold@novell.com
- Add keymap support during vm creation - Pat Campbell addition.
* Fri Apr 25 2008 carnold@novell.com
- Updated language files with current translations.
* Fri Apr 11 2008 carnold@suse.de
- Change default image from file to tap:aio.
* Wed Mar 26 2008 carnold@novell.com
- bnc#373180 - 2 Xen options in Xen don't work from Yast2.
* Fri Feb 29 2008 carnold@suse.de
- Support for pxe booting fully virtualized guests in vm-install is
  complete.
* Fri Feb  1 2008 carnold@suse.de
- Update version to 0.2.3
- Add support for selecting PXE boot as installation source.
- 346602 - vm-install: apic settings for FV RHEL3 are incorrect
- 336779 - vm-install: Can't create domU - client aborts with
  "Error: unsupported operand type(s) for *: 'NoneType' and 'int'"
- 349280 - vm-install doesn' t allow --nic option with empty string
- 353739 - vm-install: starting vm-install with -d option but
  without size always selects 4.0 GB
* Fri Jan 11 2008 carnold@suse.de
- Enable SMP support by default.
* Thu Oct 11 2007 ccoffing@novell.com
- Update version to 0.2.2
- Many fixes to written XML
- Store bootloader settings in XML
- #330240: Network bridges bridges are not showing up if gnomesu
  is used to launch virt-manager
- #329547: Default disk proposal for openSUSE is too small
* Thu Sep  6 2007 ccoffing@novell.com
- #306964: Work around pygtk threading bug
- #306383: Fix unreadable linuxrc screen in paravirtual SLES 9 SP4
- rpmlint: don't need BuildRequires: python
- rpmlint: don't remove buildroot in install section
* Fri Aug 31 2007 ccoffing@novell.com
- #305747: Fix bootstrapping of paravirtual SLES 9 SP4
- #306764: Better error message if NIC model is mistyped
- #296928: MAC was not set when creating VM from existing disk
* Thu Aug 30 2007 ccoffing@novell.com
- #306469: Fix error paths to ensure disks are always unmounted
- #306383: Set TERM=linux, which works well for both xencons and pvfb
- Do not attempt to connect to VNC port if graphics=none
- Write out stdvga setting based on cirrus vs vesa
* Wed Aug 29 2007 ccoffing@novell.com
- Update translations
* Tue Aug 21 2007 ccoffing@novell.com
- #278190: adjust max memory to always be >= initial memory
- #296758: call update() before getting spinbox value
- Fix some errors in libvirt-style XML file written out
* Fri Aug 17 2007 ccoffing@novell.com
- Update translations
* Thu Aug 16 2007 ccoffing@novell.com
- #300757: Option for Windows XP/2003 (x64) was not displayed
- #296083: If vncviewer is not found, prompt user but don't fail
- Remove ExclusiveArch
* Fri Aug  3 2007 vm@novell.com
- #297472: AttributeError when trying to install FV OS on non-VT
* Tue Jul 31 2007 ccoffing@novell.com
- #271697: Accept period in VM's name
- Pressing Enter now accepts VM name
- Add notes to translators
* Tue Jul 24 2007 ccoffing@novell.com
- #289581: Support info files for --os-settings for SUSE
- Fix defaulting of full vs. para
- Fix ability to edit disk
- Fix exception when starting PV RHEL from URL
- #291706: Previous fix had caused sparse to sometimes default off
* Mon Jul 16 2007 ccoffing@novell.com
- #291706: Allow disk-format-specific options.
* Mon Jul  2 2007 ccoffing@novell.com
- Start of VM disk management tool.
- Bug fixes and refactoring.
* Fri Jun 22 2007 ccoffing@novell.com
- Not noarch; only build on architectures supported by Xen.
* Wed Jun 20 2007 ccoffing@novell.com
- Moved out of xen-tools
